summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:57:41 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:41 +0200
commit717a8760d6448f286f0a18a9b36d991be841efaa (patch)
tree894b2b9ba68dd345687098b5dd9aaf7f8bf40343 /desktop
parent1771e9c431f565125e49aef1f68edadf182aa1cb (diff)
downloadslackbuilds-717a8760d6448f286f0a18a9b36d991be841efaa.tar.gz
slackbuilds-717a8760d6448f286f0a18a9b36d991be841efaa.tar.xz
desktop/thunar-vcs-plugin: Added to 13.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/thunar-vcs-plugin/README7
-rw-r--r--desktop/thunar-vcs-plugin/doinst.sh11
-rw-r--r--desktop/thunar-vcs-plugin/slack-desc19
-rw-r--r--desktop/thunar-vcs-plugin/thunar-vcs-plugin.SlackBuild95
-rw-r--r--desktop/thunar-vcs-plugin/thunar-vcs-plugin.info10
5 files changed, 142 insertions, 0 deletions
diff --git a/desktop/thunar-vcs-plugin/README b/desktop/thunar-vcs-plugin/README
new file mode 100644
index 0000000000..7bd96ecda4
--- /dev/null
+++ b/desktop/thunar-vcs-plugin/README
@@ -0,0 +1,7 @@
+The Thunar VCS Plugin adds Subversion and GIT actions to the context
+menu of Thunar. This gives a SVN integration and GIT integration to
+Thunar.
+
+The git functionality is still very much a work in progress, so don't
+expect much for now; however, the svn functionality should be the
+same as what was provided by thunar-svn-plugin.
diff --git a/desktop/thunar-vcs-plugin/doinst.sh b/desktop/thunar-vcs-plugin/doinst.sh
new file mode 100644
index 0000000000..922f8a99be
--- /dev/null
+++ b/desktop/thunar-vcs-plugin/doinst.sh
@@ -0,0 +1,11 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+
diff --git a/desktop/thunar-vcs-plugin/slack-desc b/desktop/thunar-vcs-plugin/slack-desc
new file mode 100644
index 0000000000..74ba0ca0d6
--- /dev/null
+++ b/desktop/thunar-vcs-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+thunar-vcs-plugin: thunar-vcs-plugin (Version Control System plugin for Thunar)
+thunar-vcs-plugin:
+thunar-vcs-plugin: The Thunar VCS Plugin adds Git and Subversion actions to the
+thunar-vcs-plugin: context menu of thunar.
+thunar-vcs-plugin:
+thunar-vcs-plugin:
+thunar-vcs-plugin:
+thunar-vcs-plugin:
+thunar-vcs-plugin:
+thunar-vcs-plugin:
+thunar-vcs-plugin:
diff --git a/desktop/thunar-vcs-plugin/thunar-vcs-plugin.SlackBuild b/desktop/thunar-vcs-plugin/thunar-vcs-plugin.SlackBuild
new file mode 100644
index 0000000000..8eef7ef2e5
--- /dev/null
+++ b/desktop/thunar-vcs-plugin/thunar-vcs-plugin.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for thunar-vcs-plugin
+
+# Copyright 2008,2009 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thunar-vcs-plugin
+VERSION=0.1.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-git=yes \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/thunar-vcs-plugin/thunar-vcs-plugin.info b/desktop/thunar-vcs-plugin/thunar-vcs-plugin.info
new file mode 100644
index 0000000000..feccb76869
--- /dev/null
+++ b/desktop/thunar-vcs-plugin/thunar-vcs-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="thunar-vcs-plugin"
+VERSION="0.1.2"
+HOMEPAGE="http://goodies.xfce.org/projects/thunar-plugins/thunar-vcs-plugin"
+DOWNLOAD="http://archive.xfce.org/src/thunar-plugins/thunar-vcs-plugin/0.1/thunar-vcs-plugin-0.1.2.tar.bz2"
+MD5SUM="7928429d8dc719b260d536212568e7b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"